=== debian/changelog ===
ros-kinetic-pacmod3 (1.3.0-1xenial) xenial; urgency=high

  * Merge pull request #59 <https://github.com/astuff/pacmod3/issues/59> from astuff/maint/hybrid_ros1_ros2_msgs
    ROS1/ROS2 Hybrid Messages
  * CI: Updating CI to build with hybrid messages.
  * Merge pull request #63 <https://github.com/astuff/pacmod3/issues/63> from astuff/maint/add_engine_report
    Adding Engine Report
  * Merge pull request #64 <https://github.com/astuff/pacmod3/issues/64> from astuff/maint/remove_unused_pid_rpts
    Removing unused PID reports.
  * Adding Hazard Lights Cmd and Rpt Message (#61 <https://github.com/astuff/pacmod3/issues/61>)
  * Merge pull request #62 <https://github.com/astuff/pacmod3/issues/62> from astuff/maint/make_parse_const
    Maint/make parse const
  * Merge branch 'master' into maint/make_parse_const
  * Merge pull request #60 <https://github.com/astuff/pacmod3/issues/60> from astuff/maint/add_gearN_w_avail
    Add gear number and availability.
  * Use master branch of astuff_sensor_msgs
  * Adding gear number availability and number.
  * Adding Gear number to Shift Aux Report.
  * Make the input to all of the parse functions a const pointer since they shouldn't be modifying the raw data
  * Merge pull request #57 <https://github.com/astuff/pacmod3/issues/57> from astuff/maint/cpp_11_updates
    Maint/cpp 11 updates
  * Moving CAN_ID values to header file.
  * Simplifying syntax in pacmod3_node.cpp.
  * Simplifying the can_read function.
  * Simplifying publishers.
  * templatizing lookup_and_encode.
  * Merge pull request #56 <https://github.com/astuff/pacmod3/issues/56> from astuff/fix/give_cmd_msgs_dlcs
    Adding DATA_LENGTH. Removing unused code.
  * Merge pull request #53 <https://github.com/astuff/pacmod3/issues/53> from astuff/feature/freightliner_cascadia
    Initial Commit - Adding Freightliner Cascadia Trucks
  * Reordering CAN messages, adding cruise control to freightliner.
  * Merge branch 'master' into feature/freightliner_cascadia
  * Adding freightliner specific messages - engine braking, marker lamp, sprayer.
  * Making DATA_LENGTH constexpr.
  * Adding DATA_LENGTH. Removing unused code.
    DATA_LENGTH is a property which defines the length of the data payload
    on a given CAN message. This is now used to initialize command message
    data storage.
  * Merge pull request #55 <https://github.com/astuff/pacmod3/issues/55> from astuff/feature/door_system_remake
    Feature/door system remake
  * Merge branch 'master' into feature/freightliner_cascadia
  * Merge pull request #54 <https://github.com/astuff/pacmod3/issues/54> from astuff/feature/add_Jupiter_Spirit
    Feature/add jupiter spirit
  * added vehicle Jupiter_Spirit
  * Adding Freightliner Cascadia Trucks
  * Merge pull request #50 <https://github.com/astuff/pacmod3/issues/50> from astuff/maint/dlc_agnosticism
    Making driver DLC-agnostic.
  * Merge pull request #48 <https://github.com/astuff/pacmod3/issues/48> from astuff/maint/add_roslint
    Maint/add roslint
  * Replaced all int64_t CAN IDs with uint32_ts.
  * Shared Pointers everywhere!
  * Fixing more C-style casts.
  * Lint and copyright clean-up.
  * Update src/pacmod3_ros_msg_handler.cpp
    Recommendation from @zoakesAStuff
    Co-Authored-By: JWhitleyAStuff <mailto:jwhitley@autonomoustuff.com>
  * CI: Adding catkin_test_results.
  * Added roslint. Implemented suggestions. Changed to raw pointers.
  * Merge pull request #47 <https://github.com/astuff/pacmod3/issues/47> from astuff/maint/ci_remove_lunar
    CI: Removing Lunar build AND fixing tests.
  * Merge pull request #46 <https://github.com/astuff/pacmod3/issues/46> from astuff/maint/can_api_changes
    Changed motor_rpt_2 scale values to match new dbc
  * Removing DBC. CI: Removing DBC validation.
  * Updating reference to DBC in README.
  * Contributors: Daniel Stanek, Joshua Whitley, Sam Rustan, Sanaz Fattahalhosseini, Zach Oakes, Sneha Ganesh, Mike Lemm

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 06:00:00 -0000

ros-kinetic-pacmod3 (1.2.1-1xenial) xenial; urgency=high

  * Merge pull request #43 <https://github.com/astuff/pacmod3/issues/43> from astuff/maint/add_urls
  * Adding URLs to package.xml and upadating README.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-pacmod3 (1.2.0-1xenial) xenial; urgency=high

  * Merge pull request #41 <https://github.com/astuff/pacmod3/issues/41> from astuff/fix/vector_comp_dbc_file
    Removing unnecessary line preventing Vector CANdb++ editor from opening
  * Merge pull request #39 <https://github.com/astuff/pacmod3/issues/39> from astuff/feat/add_comp_rpt
    Feature add component report for each PACMod component.
  * DBC: Fixing errors. CI: Adding DBC validation to workflow.
  * DBC: Typo on two lines.
  * Adding encoding for CLEAR_FAULTS flag.
  * Adding parsing and publishing for COMPONENT_RPT.
  * DBC: Add COMPONENT_RPT and CLEAR_FAULTS flag.
  * Merge pull request #38 <https://github.com/astuff/pacmod3/issues/38> from astuff/feature/add_veh_6
    Adding VEHICLE_6.
  * Contributors: Daniel-Stanek, Joshua Whitley, Mike Lemm, Nate Imig

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 19 Nov 2018 06:00:00 -0000

ros-kinetic-pacmod3 (1.1.1-1xenial) xenial; urgency=high

  * Merge pull request #34 <https://github.com/astuff/pacmod3/issues/34> from astuff/maint/add_none_shift_cmd
  * Removing unused COMMANDED_VALUE values on SHIFT_RPT.
  * Adding NONE shift value.
  * Merge pull request #33 <https://github.com/astuff/pacmod3/issues/33> from astuff/fix/percent-signs
  * Removed erroneous percent sign from signal units
    Before: Percentages were being reported as a decimal value between 0 and 1
    with a percentage sign.  E.g. 0.5 would be reported, but the intent
    was to convey 50%.  i.e. the report or command would read 0.5%
    when it should've read 50% or just simply 0.5.

