=== debian/control ===
Source: ros-kinetic-pacmod3
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-can-msgs, ros-kinetic-catkin, ros-kinetic-pacmod-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/pacmod3
Standards-Version: 3.9.2

Package: ros-kinetic-pacmod3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-can-msgs, ros-kinetic-pacmod-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: AutonomouStuff PACMod v3 Driver Package
